# List connectors

Retrieves the information of the connectors.

Endpoint: GET /v1/connectors
Version: 1.0
Security: x-api-key

## Query parameters:

  - `recursive` (boolean)
    Expand current scope to include all child scopes

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Number of items to return per page.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "identifier", "created", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Response 200 fields (application/json):

  - `connector` (object)

  - `connector.name` (string, required)
    Connector name

  - `connector.identifier` (string, required)
    Connector identifier

  - `connector.description` (string)
    Connector description

  - `connector.org` (string)
    Organization identifier for connector

  - `connector.project` (string)
    Project identifier for connector

  - `connector.tags` (object)
    Connector tags

  - `connector.spec` (object, required)
    Details of the connector defined in Harness

  - `connector.spec.type` (string, required)
    This specifies the type of connector
    Enum: "GitHttp", "GitHttpEncrypted", "GitSsh", "Appdynamics", "AppdynamicsClientId", "Artifactory", "ArtifactoryEncrypted", "ArtifactoryAnonymous", "AzureClientSecretKey", "AzureClientCertificate", "AzureInheritFromDelegateUserAssignedManagedIdentity", "AzureInheritFromDelegateSystemAssignedManagedIdentity"

  - `created` (integer)
    Creation timestamp for the connector

  - `updated` (integer)
    Updated timestamp for the connector

  - `status` (object)
    This has details of the connectivity status of the Connector.

  - `status.status` (string)
    Connectivity status of a Connector
    Enum: "SUCCESS", "PARTIAL", "FAILURE", "UNKNOWN"

  - `status.errors` (array)
    List of errors and their details

  - `status.errors.reason` (string)
    Reason of test connection error

  - `status.errors.message` (string)
    Test connection error message

  - `status.errors.code` (integer)
    Test connection error code

  - `status.error_summary` (string)
    Summary of errors

  - `status.tested_at` (integer)
    Time at which Test Connection was completed

  - `status.connected_at` (integer)
    This is the last time at which the Connector was successfully connected

  - `harness_managed` (boolean)
    This indicates if this Connector is managed by Harness or not. If True, Harness can manage and modify this Connector.

  - `governance_metadata` (object)
    Governance metadata information


